Page MenuHomePhabricator

Watchlist Expiry: Add watchlist expiry support to Edit API [medium]
Closed, ResolvedPublic

Description

As a Watchlist Expiry user, I want watchlist expiry support added to Edit API, so that I can watch a page when using VisualEditor, among other uses of the Edit API.

Background: This was split out from T248407. The edit API is what would be used when editing within VisualEditor, for instance. The code seems to trace through the EditPage class, and the watching happens with WatchAction::doWatchOrUnwatch(), which is probably being updated as part of T245565. The parameter should be called watchlistexpiry to be consistent with the other APIs (except for the watch API, itself). The parameter type should be "expiry", to be introduced with T248508.

Resources:

Acceptance Criteria:

  • Add watchlist expiry support to Edit API
  • The parameter should be called watchlistexpiry to be consistent with the other APIs (except for the watch API, itself).
  • The parameter type should be "expiry", to be introduced with T248508.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Anomie moved this task from Unsorted to Needs Code on the MediaWiki-API board.Mar 25 2020, 9:10 PM
Anomie removed a project: Platform Engineering.
ifried renamed this task from Add watchlist expiry support to edit API to Watchlist Expiry: Add watchlist expiry support to edit API.Mar 26 2020, 4:15 PM
ifried updated the task description. (Show Details)
ifried renamed this task from Watchlist Expiry: Add watchlist expiry support to edit API to Watchlist Expiry: Add watchlist expiry support to Edit API.Mar 26 2020, 4:24 PM
ifried updated the task description. (Show Details)
ARamirez_WMF renamed this task from Watchlist Expiry: Add watchlist expiry support to Edit API to Watchlist Expiry: Add watchlist expiry support to Edit API [medium].Mar 26 2020, 5:22 PM
ARamirez_WMF moved this task from To Be Estimated/Discussed to Estimated on the Community-Tech board.
ifried updated the task description. (Show Details)Apr 2 2020, 9:22 PM
Restricted Application edited projects, added Community-Tech; removed Community-Tech (Kanban-2019-20-Q4). · View Herald TranscriptApr 2 2020, 9:44 PM
MusikAnimal changed the task status from Open to Stalled.Apr 15 2020, 5:22 PM
MusikAnimal removed MusikAnimal as the assignee of this task.

T248494 needs to be first

@MusikAnimal isn't this included as part of the work on https://gerrit.wikimedia.org/r/c/mediawiki/core/+/602486 ?

Yup. I did forget to reference this task in the patch. I've got another patchset coming shortly and will fix that.

Change 602486 had a related patch set uploaded (by MusikAnimal; owner: MusikAnimal):
[mediawiki/core@master] Add watchlist expiry support to applicable APIs

https://gerrit.wikimedia.org/r/602486

MusikAnimal changed the task status from Stalled to Open.Jul 13 2020, 9:51 PM
dmaza added a comment.Jul 14 2020, 2:44 AM

Yup. I did forget to reference this task in the patch. I've got another patchset coming shortly and will fix that.

Great. Thank you!

Change 602486 merged by jenkins-bot:
[mediawiki/core@master] Add watchlist expiry support to applicable APIs

https://gerrit.wikimedia.org/r/602486

Change 613177 had a related patch set uploaded (by Samwilson; owner: MusikAnimal):
[mediawiki/core@REL1_35] Add watchlist expiry support to applicable APIs

https://gerrit.wikimedia.org/r/613177

Change 613177 merged by jenkins-bot:
[mediawiki/core@REL1_35] Add watchlist expiry support to applicable APIs

https://gerrit.wikimedia.org/r/613177

dom_walden added a subscriber: dom_walden.

Testing the Edit API has been done as part of T248512.

ifried closed this task as Resolved.Jul 31 2020, 6:39 PM
ifried moved this task from Product sign-off to Done on the Community-Tech (Kanban-2020-21-Q1) board.
ifried added a subscriber: ifried.

This has been tested, so I'm marking it as Done.